
function Strudeloptionpanel_OnLoad(strudelpanel)
		LayoutSettingSlider:ClearAllPoints()
		LayoutSettingSlider:SetPoint("CENTER", strudelpanel, "LEFT", 150, -60)
		LayoutSettingSlider:SetMinMaxValues(0.25, 1)
		LayoutSettingSlider:SetValue(Broodje_Settings.SliderOpacity);
		StrudelMainFrame:SetAlpha(Broodje_Settings.SliderOpacity);
		_G[LayoutSettingSlider:GetName() .. 'Low']:SetText('0.25');
		_G[LayoutSettingSlider:GetName() .. 'High']:SetText('1');
		LayoutSettingSlider:Show();
		CreateTextures();
		CreateText();
		CreateLayoutDropBox();
        strudelpanel.name = "StrudelStore " .. GetAddOnMetadata("StrudelStore", "Version");
        strudelpanel.okay = function (self) Broodje_OptionsOk(); end;
		strudelpanel.default = function (self) Broodje_SetDefaults(); end;
		strudelpanel.cancel = function (self) Broodje_CancelSettings(); end;

        -- Add the panel to the Interface Options
        --
        InterfaceOptions_AddCategory(strudelpanel);
    end
function CreateText()
Optietitel:SetFont("Fonts\\FRIZQT__.TTF", 18, "THICKOUTLINE");
Optietitel:SetTextColor( 0,0.56,0.76,1 ) ;
LayoutLabel:SetFont("Fonts\\FRIZQT__.TTF", 12, "THICKOUTLINE");
LayoutLabel:SetTextColor( 0.3,0.86,0.76,1 ) ;
end
function CreateTextures()
	textureLBG = StrudelStoreOptionFrame:CreateTexture("bg_layoutbg","BACKGROUND");
	textureLBG:SetPoint("CENTER", StrudelStoreOptionFrame,  "LEFT", 180, -40);
	textureLBG:SetWidth(230);
	textureLBG:SetHeight(180);
	textureLBG:SetTexture(0, 0, 0, 0.4);
end
function StartLayout()
ChangeStrudelLayout(Broodje_Settings.Layout);
settings = _G["Broodje_Settings"];
layout = settings.Layout;
if layout == 1 then
CurrentLayoutFontString:SetText("Standard");
end
if layout == 2 then
CurrentLayoutFontString:SetText("Simple White");
end
if layout == 3 then
CurrentLayoutFontString:SetText("Compact White");
end
if layout == 4 then
CurrentLayoutFontString:SetText("Compact Standard");
end
end
function Opacity_Update()
Broodje_Settings.SliderOpacity = LayoutSettingSlider:GetValue();
StrudelMainFrame:SetAlpha(Broodje_Settings.SliderOpacity);
end
function Tab_UpdateHide(tabnumber)
if tabnumber == 1 then
StrudelMainFrameTab1:Hide();
end
if tabnumber == 2 then
StrudelStoreOptionFrameTab2CheckButton:SetChecked(false);
StrudelMainFrameTab2:Hide();
end
if tabnumber == 3 then
StrudelStoreOptionFrameTab3CheckButton:SetChecked(false);
StrudelMainFrameTab3:Hide();
end
end
function Tab_UpdateShow(tabnumber)
if tabnumber == 1 then
StrudelMainFrameTab1:Show();
end
if tabnumber == 2 then
StrudelStoreOptionFrameTab2CheckButton:SetChecked(true);
StrudelMainFrameTab2:Show();
end
if tabnumber == 3 then
StrudelStoreOptionFrameTab3CheckButton:SetChecked(true);
StrudelMainFrameTab3:Show();
end
end


function CreateLayoutDropBox()
local StrudelStore_LayoutDropDownMenu = CreateFrame("Frame", "StrudelStore_LayoutDropDownMenu");
StrudelStore_LayoutDropDownMenu.displayMode = "MENU";
local info = {};
StrudelStore_LayoutDropDownMenu.initialize = function(self, level)
  if not level then return end
    wipe(info)
    if level == 1 then
        -- Create the title of the menu
        info.isTitle = 1;
        info.text = "StrudelStore Layout";
        info.notCheckable = 1;
        UIDropDownMenu_AddButton(info, level);
		
		info.disabled     = nil
        info.isTitle      = nil
        info.notCheckable = nil

        info.text = "Standard"
        info.func = function() ChangeStrudelLayout(1);
							   Broodje_Settings.Layout = 1;
							   CurrentLayoutFontString:SetText("Standard");
							   end;
        info.checked = function() 	settings = _G["Broodje_Settings"];
									layout = settings.Layout; 
									if layout == 1 then
									return true;
									else 
									return false; 
									end; 
									end;
        UIDropDownMenu_AddButton(info, level)

        info.text = "Simple White"
        info.func = function() ChangeStrudelLayout(2);
							   Broodje_Settings.Layout = 2;
							   CurrentLayoutFontString:SetText("Simple White");
							   end;
        info.checked = function() 	settings = _G["Broodje_Settings"];
									layout = settings.Layout; 
									if layout == 2 then
									return true;
									else 
									return false; 
									end; 
									end;
        UIDropDownMenu_AddButton(info, level)

        info.text = "Compact White"
        info.func = function() ChangeStrudelLayout(3);
							   Broodje_Settings.Layout = 3;
							   CurrentLayoutFontString:SetText("Compact White");
							   end;

        info.checked = function() 	settings = _G["Broodje_Settings"];
									layout = settings.Layout; 
									if layout == 3 then
									return true;
									else 
									return false; 
									end; 
									end;
        UIDropDownMenu_AddButton(info, level)
		info.text = "Compact Standard"
        info.func = function() ChangeStrudelLayout(4);
							   Broodje_Settings.Layout = 4;
							   CurrentLayoutFontString:SetText("Compact Standard");
							   end;

        info.checked = function() 	settings = _G["Broodje_Settings"];
									layout = settings.Layout; 
									if layout == 4 then
									return true;
									else 
									return false; 
									end; 
									end;
        UIDropDownMenu_AddButton(info, level)
    end
	

 end
CurrentLayout = StrudelStoreOptionFrame:CreateFontString("CurrentLayoutFontString", "OVERLAY","GameFontNormal");
CurrentLayout:SetPoint("CENTER", StrudelStoreOptionFrame,  "LEFT", 150, 0);
CurrentLayout:SetText("Layout Error!");
MenuToggle = CreateFrame("Button", "MenuLayoutToggleButton", StrudelStoreOptionFrame,"OptionsButtonTemplate");
MenuToggle:SetPoint("CENTER", StrudelStoreOptionFrame,  "LEFT",245, 0);
MenuToggle:SetWidth(30);
MenuToggle:SetHeight(30);
MenuToggle:SetText("Set"); 
MenuToggle:SetScript("OnClick", function(self, button, down)
    if button == "LeftButton" then
        ToggleDropDownMenu(1, nil, StrudelStore_LayoutDropDownMenu, self:GetName(), 0, 0)
    end
end)
MenuToggle:RegisterForClicks("LeftButtonUp")
textureBG = StrudelStoreOptionFrame:CreateTexture("bg_layouttext","ARTWORK");
textureBG:SetPoint("CENTER", StrudelStoreOptionFrame,  "LEFT", 150, 0);
textureBG:SetWidth(150);
textureBG:SetHeight(30);
textureBG:SetTexture(0.3, 0.3, 0.3, 0.4);
end



	
	
